/**
 *
 * @defgroup ant_search_config_config ANT common search configuration configuration
 * @{
 * @ingroup ant_search_config
 */
/** @brief Enable ANT common search configuration.
 *
 *  Set to 1 to activate.
 *
 * @note This is an NRF_CONFIG macro.
 */
#define ANT_SEARCH_CONFIG_ENABLED

/** @brief Default low priority search time-out.
 *
 *  Minimum value: 0
 *  Maximum value: 255
 *
 * @note This is an NRF_CONFIG macro.
 */
#define ANT_DEFAULT_LOW_PRIORITY_TIMEOUT


/** @brief Default high priority search time-out.
 *
 *  Minimum value: 0
 *  Maximum value: 255
 *
 * @note This is an NRF_CONFIG macro.
 */
#define ANT_DEFAULT_HIGH_PRIORITY_TIMEOUT



/** @} */
