/**
 *
 * @defgroup hci_mem_pool_config memory pool implementation used by HCI configuration
 * @{
 * @ingroup hci_mem_pool
 */
/** @brief Enabling HCI memory pool module.
 *
 *  Set to 1 to activate.
 *
 * @note This is an NRF_CONFIG macro.
 */
#define HCI_MEM_POOL_ENABLED

/** @brief TX buffer size in bytes.
 *
 *
 * @note This is an NRF_CONFIG macro.
 */
#define HCI_TX_BUF_SIZE


/** @brief RX buffer size in bytes.
 *
 *
 * @note This is an NRF_CONFIG macro.
 */
#define HCI_RX_BUF_SIZE


/** @brief RX buffer queue size.
 *
 *
 * @note This is an NRF_CONFIG macro.
 */
#define HCI_RX_BUF_QUEUE_SIZE



/** @} */
